# coding=utf-8
# Copyright 2024 The TensorFlow Datasets Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Robotics datasets."""

from tensorflow_datasets.robotics.mt_opt import MtOpt
from tensorflow_datasets.robotics.rtx import AlohaMobile
from tensorflow_datasets.robotics.rtx import AsuTableTopConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import AustinBudsDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import AustinSailorDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import AustinSiriusDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import BcZ
from tensorflow_datasets.robotics.rtx import BerkeleyAutolabUr5
from tensorflow_datasets.robotics.rtx import BerkeleyCableRouting
from tensorflow_datasets.robotics.rtx import BerkeleyFanucManipulation
from tensorflow_datasets.robotics.rtx import BerkeleyGnmCoryHall
from tensorflow_datasets.robotics.rtx import BerkeleyGnmRecon
from tensorflow_datasets.robotics.rtx import BerkeleyGnmSacSon
from tensorflow_datasets.robotics.rtx import BerkeleyMvpConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import BerkeleyRptConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import Bridge
from tensorflow_datasets.robotics.rtx import BridgeDataMsr
from tensorflow_datasets.robotics.rtx import CmuFrankaExplorationDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import CmuPlayFusion
from tensorflow_datasets.robotics.rtx import CmuStretch
from tensorflow_datasets.robotics.rtx import ColumbiaCairlabPushtReal
from tensorflow_datasets.robotics.rtx import ConqHoseManipulation
from tensorflow_datasets.robotics.rtx import DlrEdanSharedControlConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import DlrSaraGridClampConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import DlrSaraPourConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import Dobbe
from tensorflow_datasets.robotics.rtx import EthAgentAffordances
from tensorflow_datasets.robotics.rtx import Fmb
from tensorflow_datasets.robotics.rtx import Fractal20220817Data
from tensorflow_datasets.robotics.rtx import IamlabCmuPickupInsertConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import ImperialcollegeSawyerWristCam
from tensorflow_datasets.robotics.rtx import IoAiTech
from tensorflow_datasets.robotics.rtx import JacoPlay
from tensorflow_datasets.robotics.rtx import KaistNonprehensileConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import Kuka
from tensorflow_datasets.robotics.rtx import ManiskillDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import MimicPlay
from tensorflow_datasets.robotics.rtx import NyuDoorOpeningSurprisingEffectiveness
from tensorflow_datasets.robotics.rtx import NyuFrankaPlayDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import NyuRotDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import PlexRobosuite
from tensorflow_datasets.robotics.rtx import RoboSet
from tensorflow_datasets.robotics.rtx import Roboturk
from tensorflow_datasets.robotics.rtx import SpocRobot
from tensorflow_datasets.robotics.rtx import StanfordHydraDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import StanfordKukaMultimodalDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import StanfordMaskVitConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import StanfordRobocookConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import TacoPlay
from tensorflow_datasets.robotics.rtx import Tidybot
from tensorflow_datasets.robotics.rtx import TokyoULsmoConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import Toto
from tensorflow_datasets.robotics.rtx import UcsdKitchenDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UcsdPickAndPlaceDatasetConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UiucD3field
from tensorflow_datasets.robotics.rtx import UscClothSimConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UtaustinMutex
from tensorflow_datasets.robotics.rtx import UtokyoPr2OpeningFridgeConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UtokyoPr2TabletopManipulationConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UtokyoSaytapConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UtokyoXarmBimanualConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import UtokyoXarmPickAndPlaceConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import VimaConvertedExternallyToRlds
from tensorflow_datasets.robotics.rtx import Viola
